Loading...
Searching...
No Matches
BALL::VIEW::ColorTable Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/WIDGETS/colorTable.h>`

Inheritance diagram for BALL::VIEW::ColorTable:

## Public Member Functions

| ColorTable (QWidget *parent=0, const char *name=0)
void | setNamesTitle (const String &string)
String | getNamesTitle () const
void | setContent (const vector< String > &names, const vector< ColorRGBA > &colors)
void | setColors (const vector< ColorRGBA > &colors)
const vector< ColorRGBA > & | getColors () const
const vector< String > & | getNames () const
virtual bool | getValue (String &) const
| Overload this in derived classes!
virtual bool | setValue (const String &value)
| Overload this in derived classes!
Public Member Functions inherited from BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject
| ExtendedPreferencesObject ()
virtual | ~ExtendedPreferencesObject ()

## Detailed Description

Class for storing colors in a GUI table

Definition at line 25 of file colorTable.h.

## Constructor & Destructor Documentation

## ColorTable()

BALL::VIEW::ColorTable::ColorTable | ( | QWidget * | parent = 0,
|  | const char * | name = 0 )

## Member Function Documentation

## getColors()

const vector< ColorRGBA > & BALL::VIEW::ColorTable::getColors | ( |  | ) | const

inline

Definition at line 42 of file colorTable.h.

## getNames()

const vector< String > & BALL::VIEW::ColorTable::getNames | ( |  | ) | const

inline

Definition at line 45 of file colorTable.h.

## getNamesTitle()

String BALL::VIEW::ColorTable::getNamesTitle | ( |  | ) | const

## getValue()

virtual bool BALL::VIEW::ColorTable::getValue | ( | String & |  | ) | const

virtual

Overload this in derived classes!

Implements BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject.

## setColors()

void BALL::VIEW::ColorTable::setColors | ( | const vector< ColorRGBA > & | colors | ) |

## setContent()

void BALL::VIEW::ColorTable::setContent | ( | const vector< String > & | names,
|  | const vector< ColorRGBA > & | colors )

## setNamesTitle()

void BALL::VIEW::ColorTable::setNamesTitle | ( | const String & | string | ) |

## setValue()

virtual bool BALL::VIEW::ColorTable::setValue | ( | const String & |  | ) |

virtual

Overload this in derived classes!

Implements BALL::VIEW::PreferencesEntry::ExtendedPreferencesObject.